commit:     384a32e7244ac50d10190722e0096757675014c0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 12 05:16:22 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 12 07:13:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=384a32e7

dev-python/botocore: Bump to 1.25.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.25.12.ebuild | 70 +++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 1377a95e0c96..e6f0dd5cfec9 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,5 +1,6 @@
 DIST botocore-1.25.10.tar.gz 8963726 BLAKE2B 
9823581417f4ddbca840fec85421c01089987ae53fff3825463a79e2663c753d0aa00c2f3dc714d5bf62ee491b4521964869c8e39c5f88ebd562676267b35831
 SHA512 
6daaec14be1cafdf43bdb4b182a31649d88ee3a9b7e2a88409e3a9fc5279479f78800a0b49ec405936e6695ac4c1b672a62b31b2486049193734ade98f275a10
 DIST botocore-1.25.11.tar.gz 8965078 BLAKE2B 
9303ea0c5bd298be3167a887bf8a5b66edbe0f2c82273841daabf975c1f78f18e80092252d0c9c79e05992039ea1048cfe36f4ecf9e5a941e2ad80f7a7ede314
 SHA512 
2afe95fc0ee2d50e87c6ffc8cbd189fea71f0a97ce508c01642f0a736cb2fe220531324366fddad3e725bc81ca4ef3ffdf2c281c3c89075cae5416f5722b1b1d
+DIST botocore-1.25.12.tar.gz 8964692 BLAKE2B 
f039aa570d74a2fb5cacfb4d43ab2e34c677f471a6d325fe02afa2aa7231960dd70f13b8b0c988fbf9c0dec2bda7b95ac2069b00233211c30aa2d9e0cf287747
 SHA512 
da88d66db527216f81101fe30a2c90cf423025bbe28d7fda227fc80b9a33696c63630a885e5809810688dc80eb274898301a3877855c904b8c8bd8b85edc12a3
 DIST botocore-1.25.4.tar.gz 8955210 BLAKE2B 
50880e9d7f57e4f3b8662625a64e9470eaf8a984fdbcc34239bfe604544ccd3ac62e953d7be4e1b486fab4ad0d571361ffc9fdc43cb860cd37a95c33d7b824b2
 SHA512 
a04e03271d217ab1ef5488dcfedda2904b8e628dae969c74e284d004ae72f18d9734d3f7cf775235c8384b30f4d0fbfda7c0e5dcd687039ddb7b339330e63317
 DIST botocore-1.25.7.tar.gz 8961319 BLAKE2B 
1d22e3cd625252f1e6c6b13b9317750b48765150006ca0b632fd15aa6f31079855a1b6c7201cbed0ebfc7147a87389e1a4445d0736829554f8063b68944107cf
 SHA512 
a22a35a1de87aff2efa7b4b5f478e44be7ce2eadf0b7da43af2a0de9ba315a9b75ac59da29a8f10ed15bbf6ff4d76d904407f95a7f8f08049c546450bd6c7c4d
 DIST botocore-1.25.8.tar.gz 8961194 BLAKE2B 
4a13f5b01352ff0cb8932431e9431229a73fe922c2719ee571fa26ed55faa0315e0bdd561dcf2069748d13c809c7c5b7e2a35051d5d8bbd498677658b69ff454
 SHA512 
bc78c24629308d4d8cb4190646b7f465713a5462c54ff0946fdbcfa8b87951fa337a2f8f97bbd27991a79da03d140b890f2b021f865c7550b791d2fbb95282a1

diff --git a/dev-python/botocore/botocore-1.25.12.ebuild 
b/dev-python/botocore/botocore-1.25.12.ebuild
new file mode 100644
index 000000000000..a1a5a4e1ea37
--- /dev/null
+++ b/dev-python/botocore/botocore-1.25.12.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+       https://github.com/boto/botocore/
+       https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/botocore";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       <dev-python/jmespath-2[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+       'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin deps
+       sed -i -e "s:>=.*':':" setup.py || die
+
+       # unbundle deps
+       rm -r botocore/vendored || die
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # rely on bundled six
+               tests/functional/test_six_imports.py::test_no_bare_six_imports
+               tests/functional/test_six_threading.py::test_six_thread_safety
+       )
+
+       epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}

Reply via email to